com.google.cloud.dataflow.sdk.transforms.join

## Class RawUnionValue

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.join.RawUnionValue

    public class RawUnionValue
    extends Object

This corresponds to an integer union tag and value. The mapping of union tag to type must come from elsewhere.

### Constructor Summary

Constructors
Constructor and Description
`RawUnionValue(int unionTag, Object value)` Constructs a partial union from the given union tag and value.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getUnionTag()`
`Object` `getValue()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RawUnionValue

    public RawUnionValue(int unionTag,
                         Object value)

Constructs a partial union from the given union tag and value.

### Method Detail

#### getUnionTag

    public int getUnionTag()

#### getValue

    public Object getValue()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`